#ifndef _CFM_ALUT_H_
#define _CFM_ALUT_H_

#ifdef __cplusplus
extern "C" {
#endif

typedef ALvoid	(*alutInitPtr)( ALint *argc, ALbyte **argv );
typedef ALvoid	(*alutExitPtr)( ALvoid );
typedef ALvoid	(*alutLoadWAVFilePtr)( ALbyte *file, ALenum *format, ALvoid **data, ALsizei *size, ALsizei *freq);
typedef ALvoid	(*alutLoadWAVMemoryPtr)( ALbyte *memory, ALenum *format, ALvoid **data, ALsizei *size, ALsizei *freq);
typedef ALvoid  (*alutUnloadWAVPtr)( ALenum format, ALvoid *data, ALsizei size, ALsizei freq);
typedef ALint	(*alutGetMajorVersionPtr)( ALvoid );
typedef ALint	(*alutGetMinorVersionPtr)( ALvoid );

extern alutInitPtr pfalutInit;
extern alutExitPtr pfalutExit;
extern alutLoadWAVFilePtr pfalutLoadWAVFile;
extern alutLoadWAVMemoryPtr pfalutLoadWAVMemory;
extern alutUnloadWAVPtr pfalutUnloadWAV;
extern alutGetMajorVersionPtr pfalutGetMajorVersion;
extern alutGetMinorVersionPtr pfalutGetMinorVersion;

#ifdef __cplusplus
}
#endif

#endif //_CFM_ALUT_H_
